Developers
Get a log entry
Returns one log entry by message id, including the message content, its status history, and the sanitized API request Samva recorded when it accepted the send.
Returns one log entry by message id, including the message content, its status history, and the sanitized API request Samva recorded when it accepted the send.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
messageId*string
Match
^msg_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/developers/logs/string"{ "deliveries": [ { "scheduling": { "dueAt": "string", "expiresAt": "string", "waitReason": "rate" }, "id": "string", "messageId": "string", "recipientId": "string", "channel": "email", "status": "pending", "attemptCount": 0, "maxAttempts": 0, "queuedAt": "string", "claimedAt": "string", "lastAttemptAt": "string", "nextRetryAt": "string", "sentAt": "string", "deliveredAt": "string", "readAt": "string", "failedAt": "string", "terminalAt": "string", "errorCode": "string", "errorMessage": "string", "errorDetails": null, "cost": "string", "currency": "string", "idempotencyKey": "string", "metadata": null, "createdAt": "string", "updatedAt": "string" } ], "messageId": "string", "channel": "email", "direction": "outbound", "status": "pending", "recipients": [ { "id": "string", "address": "string" } ], "recipientCount": 0, "subject": "string", "acceptedAt": "string", "createdAt": "string", "updatedAt": "string", "apiKeyId": "string", "apiKeyName": "string", "campaign": { "runId": "string", "name": "string" }, "client": { "surface": "typescript-promise", "version": "string" }, "content": null, "apiRequest": { "method": "string", "endpoint": "string", "headers": { "property1": "string", "property2": "string" }, "query": { "property1": "string", "property2": "string" }, "ipAddress": "string", "userAgent": "string" }, "statusTimeline": { "availability": "recorded", "entries": [ { "status": "string", "at": "string", "reason": "string" } ] }}